EDIT - task #8438

remove featureTree/* web services in August 2021 if they are unused
08/02/2019 12:01 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.27

Severity: normal

Description

If the featureTree/* web services are no longer used since 2 years we can safely remove them.
Check the cdm-server log with grep :

grep "/featureTree" out.log

Related issues:
Related to EDIT - task #8434: Change FeatureTree contollers to TermTree contr... Closed

Associated revisions

Revision 567659e8 - 09/08/2021 02:16 PM - Andreas Kohlbecker

fix #8438 removing all featureTree/* web services

History

#1 - 08/02/2019 12:02 PM - Andreas Kohlbecker

- Related to task #8434: Change FeatureTree contollers to TermTree controllers added

#2 - 08/02/2021 12:24 PM - Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.45

#3 - 09/08/2021 02:10 PM - Andreas Kohlbecker
- Priority changed from New to Highest
- % Done changed from 0 to 20

/featureTree is no longer being used, checked with zgrep "/featureTree" cdm-server.2021*

#4 - 09/08/2021 02:17 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 20 to 50

Applied in changeset cdmlib|567659e868b4bc34d54aa11c03f3db9ee78c4334.

#5 - 09/08/2021 02:17 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

all featureTree/* web services removed

#6 - 09/21/2021 02:11 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.27
